Commit 01aed783 authored by Yann Garcia's avatar Yann Garcia
Browse files

Bug fixed in scripts/update_mec_project.bash

parent 4567be25
Loading
Loading
Loading
Loading
+10 −7
Original line number Original line Diff line number Diff line
FROM stfubuntu:18.04
FROM stfubuntu:18.04


MAINTAINER ETSI TTF T0002
MAINTAINER ETSI TTF STF569


LABEL description="TTF0002 Docker Image"
LABEL description="STF569_Mec Docker Image"


ENV TERM=linux \
ENV TERM=linux \
    HOME=/home/etsi \
    HOME=/home/etsi \
    HOSTNAME=docker-titan-TTF0002
    HOSTNAME=docker-titan-STF569

USER etsi


COPY home /home/etsi
COPY home /home/etsi


RUN cd /home/etsi \
    && chown -R etsi:etsi . \
    && ls ./etc/init.d/*.sh | while read S; do chmod 0750 "$S" || exit 1; done

USER etsi

RUN cd ${HOME} \
RUN cd ${HOME} \
    sudo chown -R etsi:etsi ${HOME} \
    && export PATH=$HOME/bin:$PATH \
    && export PATH=$HOME/bin:$PATH \
    && ls ${HOME}/etc/init.d/*.sh | while read S; do chmod 0750 "$S"; /bin/bash -c "$S" || exit 1; done
    && ls ${HOME}/etc/init.d/*.sh | while read S; do /bin/bash -c "$S" || exit 1; done


CMD ["/bin/bash"]
CMD ["/bin/bash"]


+2 −2
Original line number Original line Diff line number Diff line
@@ -7,10 +7,10 @@ set -vx


#check and build stfubuntu image
#check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
if [ -z `docker images -q stfubuntu` ]; then
  docker build --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
  docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi
fi


docker build --tag stf569_mec --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag stf569_mec --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )


docker images
docker images
docker inspect stf569_mec:latest || ( echo "Docker inspect failed: $?"; exit 1 )
docker inspect stf569_mec:latest || ( echo "Docker inspect failed: $?"; exit 1 )
+3 −3
Original line number Original line Diff line number Diff line
@@ -4,9 +4,9 @@
set -vx
set -vx


echo -e "*****************************\n* Install osip\n*****************************\n"
echo -e "*****************************\n* Install osip\n*****************************\n"
cd ${HOME}/frameworks
cd ${HOME}/dev
git clone https://github.com/fsismondi/ioppytest-utils ./ioppytest-utils
git clone https://forge.etsi.org/rep/plugtests/nfv/ttcn-3-lewis-testing-tools.git ttcn-3-lewis-testing-tools
cd ./ioppytest-utils
cd ./ttcn-3-lewis-testing-tools
pip3 install -r ./requirements.txt
pip3 install -r ./requirements.txt


cd ${HOME}
cd ${HOME}
+1 −0
Original line number Original line Diff line number Diff line
@@ -8,6 +8,7 @@ cd /home/etsi/dev/STF569_Mec/ttcn
git clone https://forge.etsi.org/gitlab/LIBS/LibCommon.git ./LibCommon
git clone https://forge.etsi.org/gitlab/LIBS/LibCommon.git ./LibCommon
git clone -bTTF0002 https://forge.etsi.org/gitlab/LIBS/LibIts ./LibIts
git clone -bTTF0002 https://forge.etsi.org/gitlab/LIBS/LibIts ./LibIts
cd /home/etsi/dev/STF569_Mec/ttcn/LibIts
cd /home/etsi/dev/STF569_Mec/ttcn/LibIts
git checkout TTF0002
rm -fr asn1 t3q xsd
rm -fr asn1 t3q xsd
cd ttcn && rm -fr BTP CAM Common DENM GeoNetworking Ipv6OverGeoNetworking IVIM MapemSpatem Pki Security SremSsem
cd ttcn && rm -fr BTP CAM Common DENM GeoNetworking Ipv6OverGeoNetworking IVIM MapemSpatem Pki Security SremSsem
cd /home/etsi/dev/STF569_Mec/scripts
cd /home/etsi/dev/STF569_Mec/scripts
+2 −3
Original line number Original line Diff line number Diff line
@@ -14,16 +14,15 @@ RUN_PATH="${0%/*}"


if [ "${VALIDATION_DIR}" == "" ]
if [ "${VALIDATION_DIR}" == "" ]
then
then
    VALIDATION_DIR=${VALIDATION_DIR}
    VALIDATION_DIR=${HOME}
fi
fi


USER=`whoami`
CHOWN_USER_GROUP=${USER}:${USER}
CHOWN_USER_GROUP=${USER}:${USER}
SRC_MEC_PATH=${VALIDATION_DIR}/dev/STF569_Mec
SRC_MEC_PATH=${VALIDATION_DIR}/dev/STF569_Mec


if [ "${PATH_DEV_MEC}" == "" ]
if [ "${PATH_DEV_MEC}" == "" ]
then
then
    PATH_DEV_MEC=${VALIDATION_DIR}/dev/etsi_mec
    PATH_DEV_MEC=`pwd`/../etsi_mec
fi
fi
echo ${PATH_DEV_MEC}
echo ${PATH_DEV_MEC}